Commit 8be87ecf authored by catch's avatar catch
Browse files

Issue #3206301 by longwave, RenatoG: Update dependencies for Drupal 9.2

parent 62d94ad7
This diff is collapsed.
...@@ -10,58 +10,58 @@ ...@@ -10,58 +10,58 @@
"drupal/core": "9.2.x-dev", "drupal/core": "9.2.x-dev",
"asm89/stack-cors": "1.3.0", "asm89/stack-cors": "1.3.0",
"composer/semver": "3.2.4", "composer/semver": "3.2.4",
"doctrine/annotations": "1.11.1", "doctrine/annotations": "1.12.1",
"doctrine/lexer": "1.2.1", "doctrine/lexer": "1.2.1",
"doctrine/reflection": "1.2.2", "doctrine/reflection": "1.2.2",
"egulias/email-validator": "2.1.24", "egulias/email-validator": "2.1.25",
"guzzlehttp/guzzle": "6.5.5", "guzzlehttp/guzzle": "6.5.5",
"guzzlehttp/promises": "1.4.0", "guzzlehttp/promises": "1.4.1",
"guzzlehttp/psr7": "1.7.0", "guzzlehttp/psr7": "1.8.1",
"laminas/laminas-diactoros": "2.5.0", "laminas/laminas-diactoros": "2.5.0",
"laminas/laminas-escaper": "2.7.0", "laminas/laminas-escaper": "2.7.0",
"laminas/laminas-feed": "2.13.0", "laminas/laminas-feed": "2.14.0",
"laminas/laminas-stdlib": "3.3.1", "laminas/laminas-stdlib": "3.3.1",
"laminas/laminas-zendframework-bridge": "1.1.1", "laminas/laminas-zendframework-bridge": "1.2.0",
"masterminds/html5": "2.7.4", "masterminds/html5": "2.7.4",
"pear/archive_tar": "1.4.13", "pear/archive_tar": "1.4.13",
"pear/console_getopt": "v1.4.3", "pear/console_getopt": "v1.4.3",
"pear/pear-core-minimal": "v1.10.10", "pear/pear-core-minimal": "v1.10.10",
"pear/pear_exception": "v1.0.1", "pear/pear_exception": "v1.0.2",
"psr/container": "1.0.0", "psr/container": "1.1.1",
"psr/http-factory": "1.0.1", "psr/http-factory": "1.0.1",
"psr/http-message": "1.0.1", "psr/http-message": "1.0.1",
"psr/log": "1.1.3", "psr/log": "1.1.3",
"ralouphie/getallheaders": "3.0.3", "ralouphie/getallheaders": "3.0.3",
"stack/builder": "v1.0.6", "stack/builder": "v1.0.6",
"symfony-cmf/routing": "2.3.3", "symfony-cmf/routing": "2.3.3",
"symfony/console": "v4.4.17", "symfony/console": "v4.4.21",
"symfony/debug": "v4.4.17", "symfony/debug": "v4.4.20",
"symfony/dependency-injection": "v4.4.17", "symfony/dependency-injection": "v4.4.21",
"symfony/deprecation-contracts": "v2.2.0", "symfony/deprecation-contracts": "v2.2.0",
"symfony/error-handler": "v4.4.17", "symfony/error-handler": "v4.4.21",
"symfony/event-dispatcher": "v4.4.17", "symfony/event-dispatcher": "v4.4.20",
"symfony/event-dispatcher-contracts": "v1.1.9", "symfony/event-dispatcher-contracts": "v1.1.9",
"symfony/http-client-contracts": "v2.3.1", "symfony/http-client-contracts": "v2.3.1",
"symfony/http-foundation": "v4.4.17", "symfony/http-foundation": "v4.4.20",
"symfony/http-kernel": "v4.4.17", "symfony/http-kernel": "v4.4.21",
"symfony/mime": "v5.2.0", "symfony/mime": "v5.2.6",
"symfony/polyfill-ctype": "v1.20.0", "symfony/polyfill-ctype": "v1.22.1",
"symfony/polyfill-iconv": "v1.20.0", "symfony/polyfill-iconv": "v1.22.1",
"symfony/polyfill-intl-idn": "v1.20.0", "symfony/polyfill-intl-idn": "v1.22.1",
"symfony/polyfill-intl-normalizer": "v1.20.0", "symfony/polyfill-intl-normalizer": "v1.22.1",
"symfony/polyfill-mbstring": "v1.20.0", "symfony/polyfill-mbstring": "v1.22.1",
"symfony/polyfill-php80": "v1.20.0", "symfony/polyfill-php80": "v1.22.1",
"symfony/process": "v4.4.17", "symfony/process": "v4.4.20",
"symfony/psr-http-message-bridge": "v2.0.2", "symfony/psr-http-message-bridge": "v2.1.0",
"symfony/routing": "v4.4.17", "symfony/routing": "v4.4.20",
"symfony/serializer": "v4.4.17", "symfony/serializer": "v4.4.20",
"symfony/service-contracts": "v2.2.0", "symfony/service-contracts": "v2.2.0",
"symfony/translation": "v4.4.17", "symfony/translation": "v4.4.21",
"symfony/translation-contracts": "v2.3.0", "symfony/translation-contracts": "v2.3.0",
"symfony/validator": "v4.4.17", "symfony/validator": "v4.4.21",
"symfony/var-dumper": "v5.2.0", "symfony/var-dumper": "v5.2.6",
"symfony/yaml": "v4.4.17", "symfony/yaml": "v4.4.21",
"twig/twig": "v2.14.1", "twig/twig": "v2.14.4",
"typo3/phar-stream-wrapper": "v3.1.6" "typo3/phar-stream-wrapper": "v3.1.6"
} }
} }
...@@ -12,12 +12,12 @@ ...@@ -12,12 +12,12 @@
"behat/mink-browserkit-driver": "v1.3.4", "behat/mink-browserkit-driver": "v1.3.4",
"behat/mink-goutte-driver": "v1.2.1", "behat/mink-goutte-driver": "v1.2.1",
"behat/mink-selenium2-driver": "v1.4.0", "behat/mink-selenium2-driver": "v1.4.0",
"composer/ca-bundle": "1.2.8", "composer/ca-bundle": "1.2.9",
"composer/composer": "2.0.8", "composer/composer": "2.0.11",
"composer/spdx-licenses": "1.5.5", "composer/spdx-licenses": "1.5.5",
"composer/xdebug-handler": "1.4.5", "composer/xdebug-handler": "1.4.6",
"doctrine/instantiator": "1.4.0", "doctrine/instantiator": "1.4.0",
"drupal/coder": "8.3.11", "drupal/coder": "8.3.12",
"easyrdf/easyrdf": "1.1.1", "easyrdf/easyrdf": "1.1.1",
"fabpot/goutte": "v3.3.1", "fabpot/goutte": "v3.3.1",
"instaclick/php-webdriver": "1.4.7", "instaclick/php-webdriver": "1.4.7",
...@@ -25,17 +25,17 @@ ...@@ -25,17 +25,17 @@
"mikey179/vfsstream": "v1.6.8", "mikey179/vfsstream": "v1.6.8",
"myclabs/deep-copy": "1.10.2", "myclabs/deep-copy": "1.10.2",
"phar-io/manifest": "2.0.1", "phar-io/manifest": "2.0.1",
"phar-io/version": "3.0.3", "phar-io/version": "3.1.0",
"phpdocumentor/reflection-common": "2.2.0", "phpdocumentor/reflection-common": "2.2.0",
"phpdocumentor/reflection-docblock": "5.2.2", "phpdocumentor/reflection-docblock": "5.2.2",
"phpdocumentor/type-resolver": "1.4.0", "phpdocumentor/type-resolver": "1.4.0",
"phpspec/prophecy": "1.12.1", "phpspec/prophecy": "1.13.0",
"phpunit/php-code-coverage": "7.0.14", "phpunit/php-code-coverage": "7.0.14",
"phpunit/php-file-iterator": "2.0.3", "phpunit/php-file-iterator": "2.0.3",
"phpunit/php-text-template": "1.2.1", "phpunit/php-text-template": "1.2.1",
"phpunit/php-timer": "2.1.3", "phpunit/php-timer": "2.1.3",
"phpunit/php-token-stream": "4.0.4", "phpunit/php-token-stream": "4.0.4",
"phpunit/phpunit": "8.5.13", "phpunit/phpunit": "8.5.15",
"react/promise": "v2.8.0", "react/promise": "v2.8.0",
"sebastian/code-unit-reverse-lookup": "1.0.2", "sebastian/code-unit-reverse-lookup": "1.0.2",
"sebastian/comparator": "3.0.3", "sebastian/comparator": "3.0.3",
...@@ -51,16 +51,16 @@ ...@@ -51,16 +51,16 @@
"sebastian/version": "2.0.1", "sebastian/version": "2.0.1",
"seld/jsonlint": "1.8.3", "seld/jsonlint": "1.8.3",
"seld/phar-utils": "1.1.1", "seld/phar-utils": "1.1.1",
"sirbrillig/phpcs-variable-analysis": "v2.10.0", "sirbrillig/phpcs-variable-analysis": "v2.11.0",
"squizlabs/php_codesniffer": "3.5.8", "squizlabs/php_codesniffer": "3.5.8",
"symfony/browser-kit": "v4.4.17", "symfony/browser-kit": "v4.4.20",
"symfony/css-selector": "v4.4.17", "symfony/css-selector": "v4.4.20",
"symfony/dom-crawler": "v4.4.17", "symfony/dom-crawler": "v4.4.20",
"symfony/filesystem": "v4.4.17", "symfony/filesystem": "v4.4.21",
"symfony/finder": "v4.4.17", "symfony/finder": "v4.4.20",
"symfony/lock": "v4.4.17", "symfony/lock": "v4.4.21",
"symfony/phpunit-bridge": "v5.2.0", "symfony/phpunit-bridge": "v5.2.6",
"theseer/tokenizer": "1.2.0", "theseer/tokenizer": "1.2.0",
"webmozart/assert": "1.9.1" "webmozart/assert": "1.10.0"
} }
} }
...@@ -924,7 +924,7 @@ public function testAnnotationTargetSyntaxError() ...@@ -924,7 +924,7 @@ public function testAnnotationTargetSyntaxError()
public function testAnnotationWithInvalidTargetDeclarationError() public function testAnnotationWithInvalidTargetDeclarationError()
{ {
$this->expectException('\InvalidArgumentException'); $this->expectException('\InvalidArgumentException');
$this->expectExceptionMessage('Invalid Target "Foo". Available targets: [ALL, CLASS, METHOD, PROPERTY, ANNOTATION]'); $this->expectExceptionMessage('Invalid Target "Foo". Available targets: [ALL, CLASS, METHOD, PROPERTY, FUNCTION, ANNOTATION]');
$parser = $this->createTestParser(); $parser = $this->createTestParser();
$context = 'class ' . 'SomeClassName'; $context = 'class ' . 'SomeClassName';
......
...@@ -62,7 +62,7 @@ public function testAssertInternalType() { ...@@ -62,7 +62,7 @@ public function testAssertInternalType() {
if (RunnerVersion::getMajor() > 8) { if (RunnerVersion::getMajor() > 8) {
$this->markTestSkipped("In PHPUnit 9+, assertInternalType() is removed."); $this->markTestSkipped("In PHPUnit 9+, assertInternalType() is removed.");
} }
$this->expectDeprecation('assertInternalType() is deprecated and will be removed in PHPUnit 9. Refactor your test to use assertIsArray(), assertIsBool(), assertIsFloat(), assertIsInt(), assertIsNumeric(), assertIsObject(), assertIsResource(), assertIsString(), assertIsScalar(), assertIsCallable(), or assertIsIterable() instead.'); $this->expectDeprecation('assertInternalType() is deprecated and will be removed in PHPUnit 9. Refactor your test to use assertIsString() instead.');
$this->assertInternalType('string', 'string'); $this->assertInternalType('string', 'string');
} }
......
...@@ -68,6 +68,12 @@ public function addWarning(string $warning): void { ...@@ -68,6 +68,12 @@ public function addWarning(string $warning): void {
return; return;
} }
// assertInternalType() has many similar deprecation warnings.
if (preg_match('/^assertInternalType\(\) is deprecated and will be removed in PHPUnit 9. Refactor your test to use assert.*\(\) instead.$/', $warning)) {
@trigger_error($warning, E_USER_DEPRECATED);
return;
}
// Otherwise, let the parent raise any warning not specifically listed. // Otherwise, let the parent raise any warning not specifically listed.
parent::addWarning($warning); parent::addWarning($warning);
} }
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment